%define		_requires_exceptions 'pear(config.php)'

%define		_class		Auth
%define		_pearname	%{_class}_OpenID

Summary:	PHP OpenID
Name:		php-pear-%{_pearname}
Version:	2.2.2
Release:	%mkrel 1
Group:		Development/PHP
License:	Apache License
URL:		http://www.janrain.com/openid-enabled
# php-pear-Auth-OpenID is now hosted on github
# https://github.com/openid/php-openid
# downloading the tarball and repacking it from 
# openid-php-openid-2.2.2-0-ga287b2d.tar.gz to php-openid-2.2.2.tar.bz2
Source0:	php-openid-%{version}.tar.bz2
Patch0:		php-openid-yubico-0.diff
# Patch for CVE-2013-4701
# https://github.com/openid/php-openid/commit/625c16bb28bb120d262b3f19f89c2c06cb9b0da9
Patch1: php-openid-2.2.2-cve-2013-4701.patch
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
Requires:	php-pgsql
Requires:	php-mysql
Requires:	php-bcmath
BuildArch:	noarch
BuildRequires:	dos2unix

%description
An implementation of the OpenID single sign-on authentication protocol.

This package also supports yubico:
http://code.google.com/p/yubico-openid-server/

%prep

%setup -q -n php-openid-%{version}
%patch0 -p1
%patch1 -p1

# strip away annoying ^M
find -type f | grep -v ".gif" | grep -v ".png" | grep -v ".jpg" | xargs dos2unix

%build

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_datadir}/pear/%{_class}/OpenID
install -d %{buildroot}%{_datadir}/pear/%{_class}/Yadis

install -m0644 Auth/OpenID.php %{buildroot}%{_datadir}/pear/%{_class}/
install -m0644 Auth/OpenID/*.php %{buildroot}%{_datadir}/pear/%{_class}/OpenID/
install -m0644 Auth/Yadis/*.php %{buildroot}%{_datadir}/pear/%{_class}/Yadis/


%files
%doc NEWS COPYING README examples
%dir %{_datadir}/pear/%{_class}/OpenID
%dir %{_datadir}/pear/%{_class}/Yadis
%{_datadir}/pear/%{_class}/OpenID.php
%{_datadir}/pear/%{_class}/OpenID/*.php
%{_datadir}/pear/%{_class}/Yadis/*.php


%changelog
* Wed Sep 04 2013 oden <oden> 2.2.2-1.mga2
+ Revision: 475074
- 2.2.2 (slight fedora sync)
- P0: rediffed the yubico patch
- P1: security fix for CVE-2013-4701

  + spuhler <spuhler>
    - removed buildroot definition from .spec
    - imported package php-pear-Auth_OpenID

